Summary: UserUI tools for Software Suspend 2
Name: swsusp2-userui
Version: 0.6.3
Release: 0.fc4.cubbi2
License: GPL
Group: Applications/System
Packager: Matthias Hensler <matthias@wspse.de>
URL: http://suspend2.net/
Source0: http://suspend2.net/downloads/all/suspend2-userui-%{version}.tar.bz2
Source1: http://suspend2.net/downloads/all/snowboard-tux-v2.tar.bz2
Source2: manzanatux-v2.tar.bz2
Source3: rhgb-v1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel >= 1.2.0, libjpeg-devel, freetype-devel >= 2.1.0, zlib-devel, libmng-static, libmng-devel, lcms-devel

Patch1: suspend2-userui-0.4.0-fc4-compile-fix.patch

%description
Starting with version 2.1.8.6 there is a new method for displaying the progress
on suspend and resume with Software Suspend 2.
This package includes the tool for displaying progress on the text console.
To use this you need a software suspend enabled kernel.
Recent kernels as well as documentation can be found on
http://mhensler.de/swsusp/

%package fbsplash
Requires: swsusp2-userui
Summary: Tool for the framebuffer console
Group: Applications/System
%description fbsplash
This package includes the tool for displaying progress on the framebuffer
console.
To use this you need a software suspend enabled kernel with fbsplash.

%package snowboardtux
Requires: swsusp2-userui-fbsplash
Summary: Snowboarding Tux theme
Group: Applications/System
%description snowboardtux
This package includes the default theme showing a snowboarding Tux.

%package manzanatux
Requires: swsusp2-userui-fbsplash
Summary: Manzana Tux theme
Group: Applications/System
%description manzanatux
This package includes Manzana Tux theme, based on the GDM theme.
It was made by Eric Lassauge <lassauge@users.sourceforge.net>.

%package rhgb
Requires: swsusp2-userui-fbsplash
Summary: RHGB theme
Group: Applications/System
%description rhgb
This package includes a theme matching RHGB on Fedora Core 4.  It was made by
Eric Lassauge <lassauge@users.sourceforge.net>.

%prep
%setup -n suspend2-userui-%{version}
%patch1 -p1 -b .compile-fix

%build
make
strip -s suspend2ui_fbsplash
strip -s suspend2ui_text

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/splash
mkdir -p $RPM_BUILD_ROOT/sbin
INSTDIR=$RPM_BUILD_ROOT/sbin make -e install

# Install themes
# Snowboard-Tux
bzip2 -dc %{SOURCE1} | tar -x -C $RPM_BUILD_ROOT/etc/splash
pushd $RPM_BUILD_ROOT/etc/splash
ln -s snowboard-tux suspend2
popd

# Manzana-Tux
bzip2 -dc %{SOURCE2} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# RHGB theme
bzip2 -dc %{SOURCE3} | tar -x -C $RPM_BUILD_ROOT/etc/splash

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post manzanatux
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s manzanatux suspend2
popd > /dev/null
fi

%post rhgb
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s rhgb suspend2
popd > /dev/null
fi

%files
%defattr(-,root,root)
%doc ChangeLog KERNEL_API README TODO USERUI_API
/sbin/suspend2ui_text

%files fbsplash
/sbin/suspend2ui_fbsplash

%files snowboardtux
%config(noreplace) /etc/splash/suspend2
/etc/splash/snowboard-tux

%files manzanatux
/etc/splash/manzanatux

%files rhgb
/etc/splash/rhgb

%changelog
* Tue Mar 07 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-0.cubbi2
- added rhgb theme by Eric Lassauge <lassauge@users.sf.net>.
- removed unnecessary pushd/popd call in install-section.
- fixed lower y-coordinate in silent box in manzanatux and snowboardtux
  theme (800x600.cfg) as reported by Eric Lassauge.

* Thu Dec 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.3-0.cubbi1
- update to 0.6.3.

* Tue Dec 27 2005 Matthias Hensler <matthias@wspse.de> 0.6.2-0.cubbi1
- update to 0.6.2.

* Thu Nov 24 2005 Matthias Hensler <matthias@wspse.de> 0.6.1-0.cubbi2
- added Manzanatux theme by Eric Lassauge
  <lassauge@users.sourceforge.net>.
- fixed theme packages, so that themedirectory will be deleted on uninstall.

* Mon Aug 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.1-0.cubbi1
- update to 0.6.1.

* Mon Aug 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.0-0.cubbi1
- update to 0.6.0.

* Wed Jul 27 2005 Matthias Hensler <matthias@wspse.de> 0.5.3-0.cubbi1
- update to 0.5.3.

* Tue Jul 05 2005 Matthias Hensler <matthias@wspse.de> 0.5.1-0.cubbi1
- update to 0.5.1.

* Tue Jun 28 2005 Matthias Hensler <matthias@wspse.de> 0.5.0-0.cubbi1
- update to 0.5.0.

* Fri Jun 24 2005 Matthias Hensler <matthias@wspse.de> 0.4.0-0.cubbi1
- update to 0.4.0.
- updated build requires.

* Tue Jun 14 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi4
- rebuild on FC4.

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi3
- use seperate packages for the framebuffer ui.

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi2
- use seperate packages for the themes

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi1
- first build

